| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Properties | List of all members
IG.Lib.CommandStackFrame Class Reference

Stack frame for a block of command-line interpreter commands. More...

## Public Member Functions
| CommandStackFrame (CodeBlockType blockType, CommandThread thread, int stackLevel)
| Constructor. More...
override CommandStackFrame < ICommandLineApplicationInterpreter, CommandThread > | GetThreadStackFrame (int stackLevel)
| Returns the sibling stack frame at the certain level. More...
override CommandStackFrame < ICommandLineApplicationInterpreter, CommandThread > | GetParentStackFrame ()
| Returns the previous (parent, or one lower level) stack frame of the current stack frame. More...

## Properties
override ICommandLineApplicationInterpreter | Interpreter`[get]`
| Returns the commandline interpreter of the crrent stack frame. More...

## Detailed Description

Stack frame for a block of command-line interpreter commands.

Usually properties, index operators and methods are not thread safe. Variants whose names end with "Locked" implement locking on the CommandStackFrameBase.Lock property and are thus thread safe. It is not likely that locking is needed because the object will typically be used within a single thread.

$A Igor Sep15;

## Constructor & Destructor Documentation

IG.Lib.CommandStackFrame.CommandStackFrame | ( | CodeBlockType | blockType,
|  | CommandThread | thread,
|  | int | stackLevel
| ) |  |
| inline

Constructor.

Parameters

  blockType | Type of code block corresponding to the current stack frame.
  thread | Command thread on which the current stack frame exists.
  stackLevel | Level of the current stack frame.

## Member Function Documentation

override CommandStackFrame<ICommandLineApplicationInterpreter, CommandThread> IG.Lib.CommandStackFrame.GetThreadStackFrame | ( | int | stackLevel | ) |
| inline

Returns the sibling stack frame at the certain level.

Parameters

  stackLevel | Stack level for which the sibling frame is returned.

Returns

override CommandStackFrame<ICommandLineApplicationInterpreter, CommandThread> IG.Lib.CommandStackFrame.GetParentStackFrame | ( |  | ) |
| inline

Returns the previous (parent, or one lower level) stack frame of the current stack frame.

Referenced by IG.Lib.CommandLineApplicationInterpreter.ExitBlock(), IG.Lib.CommandLineApplicationInterpreter.ExitRepeatBlock(), and IG.Lib.CommandLineApplicationInterpreter.GetLocalVariable().

## Property Documentation

override ICommandLineApplicationInterpreter IG.Lib.CommandStackFrame.Interpreter
| get

Returns the commandline interpreter of the crrent stack frame.

The documentation for this class was generated from the following file:

- igbase/interpreters/CommandlineApplicationInterpreterBase.cs